com.io7m.jcanephora.core

## Class JCGLTextureFormats

- java.lang.Object
- - com.io7m.jcanephora.core.JCGLTextureFormats

-     public final class JCGLTextureFormats
      extends Object

  Information about texture formats.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkColorRenderableTexture2D(JCGLTextureFormat t)` Check that the texture format is a color-renderable format.
    `static void` | `checkDepthOnlyRenderableTexture2D(JCGLTextureFormat t)` Check that the texture is of a depth (not stencil) renderable format.
    `static void` | `checkDepthRenderableTexture2D(JCGLTextureFormat t)` Check that the texture format is a depth-renderable format.
    `static void` | `checkDepthStencilRenderableTexture2D(JCGLTextureFormat t)` Check that the texture is of a depth+stencil-renderable format.
    `static int` | `getDepthBits(JCGLTextureFormat f)`
    `static int` | `getStencilBits(JCGLTextureFormat f)`
    `static boolean` | `isColorRenderable2D(JCGLTextureFormat f)`
    `static boolean` | `isDepthRenderable(JCGLTextureFormat f)`
    `static boolean` | `isFloatingPoint(JCGLTextureFormat f)`
    `static boolean` | `isStencilRenderable(JCGLTextureFormat f)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### checkColorRenderableTexture2D

          public static void checkColorRenderableTexture2D(JCGLTextureFormat t)
                                                    throws JCGLExceptionFormatError

      Check that the texture format is a color-renderable format.
      Parameters:
        `t` - The texture format
      Throws:
        `JCGLExceptionFormatError` - If the texture is not of the correct format

    - #### checkDepthRenderableTexture2D

          public static void checkDepthRenderableTexture2D(JCGLTextureFormat t)
                                                    throws JCGLExceptionFormatError

      Check that the texture format is a depth-renderable format.
      Parameters:
        `t` - The texture format
      Throws:
        `JCGLExceptionFormatError` - If the texture is not of the correct format

    - #### checkDepthOnlyRenderableTexture2D

          public static void checkDepthOnlyRenderableTexture2D(JCGLTextureFormat t)
                                                        throws JCGLExceptionFormatError

      Check that the texture is of a depth (not stencil) renderable format.
      Parameters:
        `t` - The texture format
      Throws:
        `JCGLExceptionFormatError` - If the texture is not of the correct format

    - #### checkDepthStencilRenderableTexture2D

          public static void checkDepthStencilRenderableTexture2D(JCGLTextureFormat t)
                                                           throws JCGLExceptionFormatError

      Check that the texture is of a depth+stencil-renderable format.
      Parameters:
        `t` - The texture
      Throws:
        `JCGLExceptionFormatError` - If the texture is not of the correct format

    - #### isDepthRenderable

          public static boolean isDepthRenderable(JCGLTextureFormat f)

      Parameters:
        `f` - A texture format
      Returns:
        `true` iff `f` is depth-renderable

    - #### getDepthBits

          public static int getDepthBits(JCGLTextureFormat f)

      Parameters:
        `f` - A texture format
      Returns:
        The number of depth bits specified by format `f`

    - #### isColorRenderable2D

          public static boolean isColorRenderable2D(JCGLTextureFormat f)

      Parameters:
        `f` - A texture format
      Returns:
        `true` iff `f` is color-renderable

    - #### isFloatingPoint

          public static boolean isFloatingPoint(JCGLTextureFormat f)

      Parameters:
        `f` - The texture format
      Returns:
        `true` iff `f` is a floating-point f

    - #### isStencilRenderable

          public static boolean isStencilRenderable(JCGLTextureFormat f)

      Parameters:
        `f` - The texture format
      Returns:
        `true` iff `f` is a stencil-renderable format

    - #### getStencilBits

          public static int getStencilBits(JCGLTextureFormat f)

      Parameters:
        `f` - A texture format
      Returns:
        The number of stencil bits specified by format `f`

Copyright © 2016 <code@io7m.com> http://io7m.com